/*
 * Class BOX [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1676 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1676 [] = {0xFF01,1551,1675,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1676 [] = {0xFF01,1675,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1676 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1676 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1676 [] = {0xFF01,1675,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1676 [] = {0xFF01,1675,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1676 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1676 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1676 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1676 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1676 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1676 [] = {1675,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1676 [] = {0xFF01,1675,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1676 [] = {0xFF01,1655,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1676 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1676[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1676), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1676), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1676), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1676), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1676), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1676), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1676), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1676), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1676), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1676), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1676), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1676), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1676), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1676), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8610, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1676), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1676), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
};
void Init1676(void)
{
	IDSC(desc_1676, 0, 1675);
	IDSC(desc_1676 + 1, 1, 1675);
	IDSC(desc_1676 + 32, 1134, 1675);
	IDSC(desc_1676 + 41, 878, 1675);
}


#ifdef __cplusplus
}
#endif
